View Issue Details

IDProjectCategoryView StatusLast Update
0007351CentOS-7NetworkManagerpublic2017-03-31 17:33
ReporterMechanix 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0007351: Service network failes to start
DescriptionAfter installing C7 the service network failes with the error:

network[798]: Bringing up loopback interface: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
network[798]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
network[798]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
network[798]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
network[798]: [ OK ]
network[798]: Bringing up interface enp2s0: Error: Connection activation failed: Connection 'enp2s0' is ...is time.
network[798]: [FAILED]
systemd[1]: network.service: control process exited, code=exited status=1
systemd[1]: Failed to start LSB: Bring up/down networking.
systemd[1]: Unit network.service entered failed state.
Additional InformationHowever, starting the service manually servicectl start network works.
Also all network connection are available.
Tagsfailed, ifcfg-lo, ifup, LSB, network, nmcli, start
abrt_hash
URL

Activities

user42

user42

2014-09-02 09:05

reporter   ~0020806

After having a problem that "ip a add" command did not get executing in /etc/rc.local on sytem bootup (see also https://bugzilla.redhat.com/show_bug.cgi?id=843735), I found out that after 'systemctl enable NetworkManager-wait-online.service' the network.service did not fail on bootup anymore.
tigalch

tigalch

2014-09-02 16:10

manager   ~0020811

Should we close the bug then?
olahaye74

olahaye74

2015-02-24 14:38

reporter   ~0022391

Same problem for me.
(CentOS-7 with all updates up to Feb 24 2015)

févr. 24 16:27:37 is148389 NetworkManager[2171]: <info> startup complete
févr. 24 16:27:37 is148389 systemd[1]: Started Network Manager Wait Online.
févr. 24 16:27:37 is148389 systemd[1]: Starting LSB: Bring up/down networking...
févr. 24 16:27:37 is148389 NetworkManager[2171]: <info> NetworkManager state is now CONNECTED_GLOBAL
févr. 24 16:27:37 is148389 NetworkManager[2171]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
févr. 24 16:27:37 is148389 network[2571]: Activation de l'interface loopback : Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
févr. 24 16:27:37 is148389 NetworkManager[2171]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
févr. 24 16:27:37 is148389 network[2571]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
févr. 24 16:27:37 is148389 NetworkManager[2171]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
févr. 24 16:27:37 is148389 network[2571]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
févr. 24 16:27:37 is148389 NetworkManager[2171]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
févr. 24 16:27:37 is148389 network[2571]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
févr. 24 16:27:37 is148389 network[2571]: [ OK ]
févr. 24 16:27:37 is148389 network[2571]: Activation de l'interface bond0 : Erreur : aucun périphérique trouvé pour la connexion « bond0 ».
févr. 24 16:27:37 is148389 network[2571]: [ÉCHOUÉ]
févr. 24 16:27:38 is148389 network[2571]: Activation de l'interface eno1 : Erreur : aucun périphérique trouvé pour la connexion « eno1 ».
févr. 24 16:27:38 is148389 network[2571]: [ÉCHOUÉ]
févr. 24 16:27:38 is148389 systemd[1]: network.service: control process exited, code=exited status=1
févr. 24 16:27:38 is148389 systemd[1]: Failed to start LSB: Bring up/down networking.
navazkhan

navazkhan

2015-03-27 11:51

reporter  

CentOS_Bug.JPG (74,050 bytes)
CentOS_Bug.JPG (74,050 bytes)
navazkhan

navazkhan

2015-03-27 12:00

reporter  

CentOS_Bug1.JPG (73,493 bytes)
CentOS_Bug1.JPG (73,493 bytes)
tigalch

tigalch

2015-04-23 19:14

manager   ~0022897

7.1 has been released in the mean. Please update and check if your issue is fixed.
pondermatic

pondermatic

2015-04-30 14:04

reporter   ~0022954

The problem still exists with CentOS 7.1 updated 2015-04-29.
Motherboard is Supermicro X10DRi with Intel i350 ethernet controller.

With NetworkManager-wait-online.service disabled (the default):
# journalctl -u network.service
Apr 29 14:03:42 ps2 systemd[1]: Starting LSB: Bring up/down networking...
Apr 29 14:03:42 ps2 network[1381]: Bringing up loopback interface: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:03:43 ps2 network[1381]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:03:43 ps2 network[1381]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:03:43 ps2 network[1381]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:03:43 ps2 network[1381]: [ OK ]
Apr 29 14:03:43 ps2 network[1381]: Bringing up interface enp4s0f0: Error: Connection activation failed: Connection 'enp4s0f0' is not available on the device enp4s0f0 at this time.
Apr 29 14:03:43 ps2 network[1381]: [FAILED]
Apr 29 14:03:43 ps2 network[1381]: Bringing up interface enp4s0f1: Error: Connection activation failed: Connection 'enp4s0f1' is not available on the device enp4s0f1 at this time.
Apr 29 14:03:43 ps2 network[1381]: [FAILED]
Apr 29 14:03:43 ps2 systemd[1]: Started LSB: Bring up/down networking.

With NetworkManager-wait-online.service enabled (and a small delay added to bootup):
# journalctl -u network.service
Apr 29 14:19:24 ps2 systemd[1]: Starting LSB: Bring up/down networking...
Apr 29 14:19:24 ps2 network[1872]: Bringing up loopback interface: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:19:25 ps2 network[1872]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:19:25 ps2 network[1872]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:19:25 ps2 network[1872]: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
Apr 29 14:19:25 ps2 network[1872]: [ OK ]
Apr 29 14:19:25 ps2 network[1872]: Bringing up interface enp4s0f0: [ OK ]
Apr 29 14:19:25 ps2 network[1872]: Bringing up interface enp4s0f1: [ OK ]
Apr 29 14:19:25 ps2 systemd[1]: Started LSB: Bring up/down networking.

An alternative to using NetworkManager-wait-online.service is to edit /usr/sbin/ifup and add
sleep 5
before
nmcli con up uuid "$UUID"

This makes me think there is a race condition between NetworkManager.service and network.service and maybe rhel-import-state.service.
strubi

strubi

2015-05-13 15:36

reporter   ~0023052

I have the same issue.
systemctl restart network.service
My computer just hung.

I start NetworkManager-wait-online.service which doesn't help.

Has anybody got a solution yet?
vitxd

vitxd

2015-05-14 09:38

reporter   ~0023064

I have the same issue on 2 VMs. Other 2 VMs have no problem at all.
I also noticed that if I reboot the 2 VMs with the problem, the 2 interfaces will load the wrong configuration while if I shut them down and then start them up again, they will load the correct configuration.
strubi

strubi

2015-05-14 21:16

reporter   ~0023073

I have solved my problem by changing /etc/nsswitch.conf automount: from "nis files" to "files nis".
vitxd

vitxd

2015-05-15 13:05

reporter   ~0023081

not to me unfortunately :(
vitxd

vitxd

2015-05-15 13:42

reporter   ~0023082

I actually managed to fix my issue. My configuration files did not have HWADDR set. Once I set it it works fine!

Hope it helps!
jorg_b

jorg_b

2015-05-19 16:23

reporter   ~0023116

I reported the same issue a while back in case 0007473.
I already had HWADDR set in my interface files... so, that was not it.
However, I've changed /etc/nsswitch.conf automount: from "files" to "files nis" and that seem to do the trick.
tometzky

tometzky

2015-05-25 13:58

reporter   ~0023187

I think there are two issues here:


1. Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'
This is generated by command 'nmcli con load /etc/sysconfig/network-scripts/ifcfg-lo' executed by 'ifup'

The cause is that NetWorkManager ifcfg-rh plugin does not support loopback interface at all. It expects that ifcfg-* files would all have TYPE variable set, which a default ifcfg-lo does not have.

I've managed to work-around this by adding "TYPE=Loopback" there. This would make NetworkManager ifcfg-rh plugin to ignore a file because of unknown type:
May 25 15:14:43 batyskaftest.batory.org.pl NetworkManager[751]: <info> parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
May 25 15:14:43 batyskaftest.batory.org.pl NetworkManager[751]: <info> read connection 'loopback'
May 25 15:14:43 batyskaftest.batory.org.pl NetworkManager[751]: <warn> Ignoring connection 'loopback' of unrecognized type.

Loopback would be started anyway - I think by kernel automatically.


2. Failed to activate 'eno1': Connection 'eno1' is not available on the device eno1 at this time.

NetworkManager tries to configure a device before it's ready:
May 25 15:14:43 batyskaftest.batory.org.pl NetworkManager[751]: <info> (eno1): preparing device
May 25 15:14:44 batyskaftest.batory.org.pl NetworkManager[751]: <warn> Failed to activate 'eno1': Connection 'eno1' is not available on the device eno1 at this time.
[3 seconds later]
May 25 15:14:47 batyskaftest.batory.org.pl NetworkManager[751]: <info> (eno1): link connected
May 25 15:14:47 batyskaftest.batory.org.pl NetworkManager[751]: <info> (eno1): device state change: unavailable -> disconnected (reason 'carrier-changed') [20 30 40]
May 25 15:14:47 batyskaftest.batory.org.pl NetworkManager[751]: <info> Auto-activating connection 'eno1'.
May 25 15:14:47 batyskaftest.batory.org.pl NetworkManager[751]: <info> (eno1): Activation: starting connection 'eno1'

This is perfectly normal for an interface to be up only after some seconds, for example because of spanning-tree protocol run. I couldn't find any info on how to force NetworkManager to configure interface ignoring it's hardware connection status though.
robbit

robbit

2015-05-27 04:46

reporter   ~0023219

I have the same issue.
I install centOS7 with CentOS-7-x86_64-DVD-1503-01.iso.
My network card is Realtek PCIe GBE Family Controller and Broadcom 802.11n network adapter.
I check BOOTPROTO in ifcfg-enp14s0 and its value is dhcp.
I modified the value of yes to ONBOOT.
I use the command service network restart or systemctl restart network,but the result show that is Restarting network (via systemctl): Job for network.service failed. See 'systemctl status network.service' and 'journalctl -xn' for details.
I can't connect to a wireless network now under centOS7, but I can switch to windows7 to connect with a wireless network on the same machine.
robbit

robbit

2015-05-27 13:27

reporter   ~0023222

I've solved the problem.
doanhp

doanhp

2015-05-29 16:08

reporter   ~0023249

My issue was, there were two network files, ifcfg-ens160 and ifcfg-ether. I removed the incorrect one and it fixed part of it. I still have the "RTNETLINK answers: File exists" when restart the network.

I wondered if it's because when I clone it in VMWare that I told the clone to add the IP, Subnet Mask, Gateway, and DNS. I will try to clone one w/o adding this in the clone.
brinsky

brinsky

2015-07-26 23:02

reporter   ~0023720

I had both the "Bringing up loopback interface: Could not load file '/etc/sysconfig/network-scripts/ifcfg-lo'" error and the "Failed to activate 'X': Connection 'eno1' is not available on the device X at this time" error. Luckily, I was able to solve both.

The first was solved with tometzky's suggestion - adding the line "TYPE=loopback" to the file /etc/sysconfig/network-scripts/ifcfg-lo.

The second was more difficult to diagnose. It turned out that the wrong Realtek NIC driver was being used. The clue was in /var/log/messages, where NetworkManager mentioned loading "r8169" for the interface I was having trouble with. The motherboard I was using (an ASUS AM1I-A) had an NIC that required the "r8168" driver instead. I found that driver here: http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3. Once the driver was built and installed, I had to blacklist "r8169" and "mii" to get things working (after a reboot).
wolfy

wolfy

2015-07-27 01:29

developer   ~0023721

@brinsky: The r8169 driver from the CentOS kernel is an umbrella which covers all modern Realtek chipsets ( at least r8101, r8168 and r8169 ).

Since your chipset was not supported, please file a bug at bugzilla.redhat.com against RHEL 7 ( the kernel component) and mention the information you included in the last paragraph of your comment here, as well as the output of lspci -nn | grep Ethernet
toracat

toracat

2015-07-27 06:41

manager   ~0023725

@brinsky

... and you do not need to build the driver yourself. Use the kmod-r8168 package from ELRepo ( http://elrepo.org/tiki/kmod-r8168 ).
brinsky

brinsky

2015-07-27 13:01

reporter   ~0023728

@wolfy: Done, thanks (https://bugzilla.redhat.com/show_bug.cgi?id=1247149)
@toracat: Good to know, thanks.
ondra.pelech

ondra.pelech

2015-08-23 17:22

reporter   ~0024002

what is the progress of this bug on the RedHat side? it seems I'm not authorized to view the bug 1247149
wpy1971

wpy1971

2015-09-11 02:49

reporter   ~0024321

#for ifcfg-xxxxx
NM_CONTROLLED=yes

#for ifcfg-lo
TYPE=loopback

#using nmtui to edit nic , set automatically connect & activate it.
rkoe

rkoe

2015-10-08 20:09

reporter   ~0024566

@wpy1971, thank you, it works fine
jiri

jiri

2016-02-11 10:29

reporter   ~0025689

Install rpm package net-tools for resolve this issue.

Package net-tools is missing in minimal install for Centos7.
rlipke

rlipke

2016-05-14 05:26

reporter   ~0026549

Installing net-tools has no effect on the loopback issue on a minimal install.
elico

elico

2016-08-28 22:49

reporter   ~0027379

Just to mention that redhat document: https://access.redhat.com/solutions/1549693

is probably the same one.
scottro

scottro

2016-12-04 15:04

reporter   ~0028066

I just ran into this. In my case, manual configuration of network during install. NetworkManager didn't successfully start the interface. We still don't use it or nm-cli, we disable it and use the network.service.
Doing that, although I could bring up the interface with ifup ifcfg-em1, the systemctl network.service still failed with the ifcfg-lo error. I fixed it by using tometzsky's suggestion, adding TYPE=loopback (there is a NAME=loopback already there which I left alone.)

So, the issue still exists, and, although I didn't investigate thoroughly, exists with NetworkManager left at default after an install where the only defaults changed were configuring a manual address during installation.
toracat

toracat

2016-12-05 07:33

manager   ~0028067

The upstream article referenced by @elico does describe the issue reported by the OP and it was apparently resolved in RHEL 7.3.
elico

elico

2016-12-05 08:28

reporter   ~0028068

Was this issue resolved?
It's very simple to find out what the solution for this issue is.
martindario.cernadas

martindario.cernadas

2017-03-31 17:33

reporter   ~0029000

The solution consists in adding "TYPE=loopback" to the file /etc/sysconfig/network-scripts/ifcfg-lo , and restarting service.

Issue History

Date Modified Username Field Change
2014-07-10 17:42 Mechanix New Issue
2014-09-02 09:05 user42 Note Added: 0020806
2014-09-02 16:09 tigalch Summary Service networ failes to start => Service network failes to start
2014-09-02 16:10 tigalch Note Added: 0020811
2015-02-24 14:38 olahaye74 Note Added: 0022391
2015-03-27 11:51 navazkhan File Added: CentOS_Bug.JPG
2015-03-27 11:52 navazkhan Tag Attached: failed
2015-03-27 11:52 navazkhan Tag Attached: network
2015-03-27 11:52 navazkhan Tag Attached: ifcfg-lo
2015-03-27 11:52 navazkhan Tag Attached: LSB
2015-03-27 11:52 navazkhan Tag Attached: start
2015-03-27 12:00 navazkhan File Added: CentOS_Bug1.JPG
2015-04-23 19:14 tigalch Note Added: 0022897
2015-04-30 14:04 pondermatic Note Added: 0022954
2015-04-30 14:06 pondermatic Tag Attached: ifup
2015-04-30 14:06 pondermatic Tag Attached: nmcli
2015-05-13 15:36 strubi Note Added: 0023052
2015-05-14 09:38 vitxd Note Added: 0023064
2015-05-14 21:16 strubi Note Added: 0023073
2015-05-15 13:05 vitxd Note Added: 0023081
2015-05-15 13:42 vitxd Note Added: 0023082
2015-05-19 16:23 jorg_b Note Added: 0023116
2015-05-25 13:58 tometzky Note Added: 0023187
2015-05-27 04:46 robbit Note Added: 0023219
2015-05-27 13:27 robbit Note Added: 0023222
2015-05-29 16:08 doanhp Note Added: 0023249
2015-07-26 23:02 brinsky Note Added: 0023720
2015-07-27 01:29 wolfy Note Added: 0023721
2015-07-27 06:41 toracat Note Added: 0023725
2015-07-27 13:01 brinsky Note Added: 0023728
2015-08-23 17:22 ondra.pelech Note Added: 0024002
2015-09-11 02:49 wpy1971 Note Added: 0024321
2015-10-08 20:09 rkoe Note Added: 0024566
2016-02-11 10:29 jiri Note Added: 0025689
2016-05-14 05:26 rlipke Note Added: 0026549
2016-08-28 22:49 elico Note Added: 0027379
2016-12-04 15:04 scottro Note Added: 0028066
2016-12-05 07:33 toracat Note Added: 0028067
2016-12-05 08:28 elico Note Added: 0028068
2017-03-31 17:33 martindario.cernadas Note Added: 0029000